Chi tiết — báo cáo theo id
Xem chi tiết báo cáo theo id trong nhóm Báo cáo của HiTechCloud WAF.
Xem chi tiết báo cáo theo id trong nhóm Báo cáo của HiTechCloud WAF. (Chức năng: get report detail).
Endpoint
| Method | Endpoint | Mô tả |
|---|---|---|
GET | /api/business/report/{id} | Xem chi tiết báo cáo theo id |
Tham số
| Tham số | Vị trí | Kiểu | Bắt buộc | Mô tả |
|---|---|---|---|---|
id | Path | integer | Có | report id |
Kiểm thử tại chỗ
GET
https://vcwaf.hitechcloud.vn/api/business/report/{id}Kiểm thử tại chỗNhập token và tham số rồi bấm Gửi thử. Token không được lưu lại.
Tham số đường dẫn
cURL mẫu
curl -X GET "https://vcwaf.hitechcloud.vn/api/business/report/123" \
-H "Authorization: Bearer YOUR_TOKEN"Phản hồi mẫu
{
"data": {
"begin_time": 1767225600,
"created_at": 1767225600,
"data": {
"access": {
"domain": null,
"page": null
},
"attack": {
"domain": null,
"page": null,
"src_ip": null,
"type": null,
"website": null
},
"count": {
"intercept": null,
"ip": null,
"request": null,
"uv": null,
"website": null
},
"geo": {
"intercept_country": null,
"intercept_province": null,
"request_country": null,
"request_province": null
},
"trend": {
"acl": null,
"attack": null,
"auth_defense": null,
"black_white": null,
"challenge": null,
"intercept": null,
"request": null,
"waiting_room": null
}
},
"end_time": 1767225600,
"error": "",
"id": 1024,
"name": "example",
"state": "default"
},
"err": "",
"msg": "ok"
}Xem chi tiết báo cáo theo id trong nhóm Báo cáo của HiTechCloud WAF. (Chức năng: get report detail).
Endpoint
| Method | Endpoint | Mô tả |
|---|---|---|
GET | /api/business/report/{id} | Xem chi tiết báo cáo theo id |
Tham số
| Tham số | Vị trí | Kiểu | Bắt buộc | Mô tả |
|---|---|---|---|---|
id | Path | integer | Có | report id |
Kiểm thử tại chỗ
GET
https://vcwaf.hitechcloud.vn/api/business/report/{id}Kiểm thử tại chỗNhập token và tham số rồi bấm Gửi thử. Token không được lưu lại.
Tham số đường dẫn
cURL mẫu
curl -X GET "https://vcwaf.hitechcloud.vn/api/business/report/123" \
-H "Authorization: Bearer YOUR_TOKEN"Phản hồi mẫu
{
"data": {
"begin_time": 1767225600,
"created_at": 1767225600,
"data": {
"access": {
"domain": null,
"page": null
},
"attack": {
"domain": null,
"page": null,
"src_ip": null,
"type": null,
"website": null
},
"count": {
"intercept": null,
"ip": null,
"request": null,
"uv": null,
"website": null
},
"geo": {
"intercept_country": null,
"intercept_province": null,
"request_country": null,
"request_province": null
},
"trend": {
"acl": null,
"attack": null,
"auth_defense": null,
"black_white": null,
"challenge": null,
"intercept": null,
"request": null,
"waiting_room": null
}
},
"end_time": 1767225600,
"error": "",
"id": 1024,
"name": "example",
"state": "default"
},
"err": "",
"msg": "ok"
}